{% extends "base.html" %}
{% load client_utils %}

{% block title %}{{ client }} - Journal{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client|default:"Nouveau client" }}</li>
{% endblock %}

{% block content %}
    <h2>{{ client }} {% services_as_icons client current_app 'p-2' %}</h2>
    <div class="row mt-2 mb-2">
      <div class="col-12 col-md-9">
        {% include current_app|add:'/client_tabs.html' with active='journal' %}
      </div>
      <div class="col-12 col-md-3 text-end">
          <button type="button" class="btn btn-primary openmodal" title="Ajouter une nouvelle note"
                  data-modalurl="{% url 'client-journal-add' client.pk %}">Nouvelle note</button
      </div>
    </div>

    <table class="table">
      <thead>
        <tr>
          <th scope="col" class="quand">Quand</th>
          <th scope="col" class="qui">Qui</th>
          <th scope="col">Description</th>
        </tr>
      </thead>
      <tbody>
        {% for entry in object_list %}
        <tr>
          <td>{{ entry.quand|date:'d.m.Y H:i' }}</th>
          <td>{{ entry.qui.get_full_name }}</td>
          <td>
            {% if entry.fichier %}<a href="{% url 'media' entry.fichier %}">{% endif %}
            {{ entry.description|safe }}
            {% if entry.fichier %}</a>{% endif %}
            {% if entry.details %}
                <i><a href="{% url 'client-journal-details' client.pk entry.pk %}" class="openmodal" title="Afficher les détails">Détails</a></i>
            {% endif %}
          </td>
          <td>{% if entry|can_edit:request.user %}
              <button type="button" class="btn btn-light btn-icon openmodal" title="Modifier la note"
                    data-modalurl="{% url 'client-journal-edit' client.pk entry.pk %}"><img src="{% static 'img/edit.svg' %}"></button>
              {% endif %}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>

    {% include 'pagination.html' %}
{% endblock %}
